Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.wooxpro.com/llms.txt

Use this file to discover all available pages before exploring further.

Get Order Trade (KEYED)

Applicable for querying contract order trade detail

Request URL

GET https://cloud-api.wooxpro.com/contract/private/trades

Request Limit

See Detailed Rate Limit

Request Parameter

Request
curl -H 'X-BM-KEY:{{AccessKey}}'
https://cloud-api.wooxpro.com/contract/private/trades?symbol=BTCUSDT&start_time=1662368173&end_time=1662368179
FieldTypeRequired?Description
symbolStringNoSymbol of the contract(like BTCUSDT)
accountStringNoTrading account
-futures
-copy_trading
start_timeLongNoStart time(Timestamp in Seconds)
end_timeLongNoEnd time(Timestamp in Seconds)
order_idLongNoOrder ID
client_order_idStringNoClient Order ID
Note
  • If the time range start_time and end_time are not filled in, the default query is the data of the last 7 days
  • If the time range is filled in, end_time must be greater than the value of start_time, and the maximum query interval of start_time and end_time is 90 days
  • Each request returns a maximum of 200 records, and any records exceeding that will not be returned.
  • Supported query order types: limit, market, liquidate, bankruptcy, adl, trailing

Response Data

Response
{
  "code": 1000,
  "message": "Ok",
  "data": [{
    "order_id": "220921197409432",
    "trade_id": "1141853921",
    "symbol": "BTCUSDT",
    "side": 1,
    "price": "19313.3",
    "vol": "108",
    "exec_type": "Maker",
    "profit": false,
    "realised_profit": "-0.00832",
    "paid_fees": "0",
    "account": "futures",
    "create_time": 1663663818589
  }],
  "trace": "638d5048-ad21-4a4b-9365-d0756fbfc7ba"
}
FieldTypeDescription
symbolStringSymbol of the contract
order_idStringOrder ID
trade_idStringTrade detail ID
sideIntOrder side
hedge mode
-1=buy_open_long
-2=buy_close_short
-3=sell_close_long
-4=sell_open_short
oneway mode
-1=buy
-2=buy(reduce only)
-3=sell(reduce only)
-4=sell
priceStringDeal price
volStringDeal vol
profitBooleanProfitable or not
exec_typeStringLiquidity type
-Taker
-Maker
realised_profitStringrealised profit
paid_feesStringpaid fees
accountStringTrading account
-futures
-copy_trading
create_timeLongTransaction create timestamp (ms)